%define	upstream_name	 Exception-Class
%define upstream_version 1.42

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	A module that allows you to declare real exception classes in Perl


License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(Devel::StackTrace) >= 1.20
BuildRequires:	perl-devel

BuildArch: 	noarch

Requires: 	perl-Class-Data-Inheritable >= 0.02
Requires:	perl-Devel-StackTrace >= 0.9

%description
This module allows you to declare hierarchies of exception classes for use
in your code. It also provides a simple exception class that it uses as the
default base class for all other exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes LICENSE lib/Exception/Class.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE
%{perl_vendorlib}/Exception
%{_mandir}/*/*

%changelog

* Thu Jun 15 2017 dsilakov <denis.silakov@rosalab.ru> 1.420.0-1
- (5d719ed) Merge pull request #4 from import/perl-Exception-Class:auto_update
- (5d719ed) Updated to 1.42 (by updates_builder)


